<?php get_header(); ?>

	<div id="content" class="alignleft">

	<?php if (have_posts()) : ?>
	
		<!-- Archive-Headlines - makes an archive.php obsolete //-->
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 		<?php /* If this is a category archive */ if (is_category()) { ?>
			<h2 class="pagetitle">Posts aus dem Bereich &#8216;<?php single_cat_title(); ?>&#8217;</h2>
 	  	<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
			<h2 class="pagetitle">Posts mit dem Tag &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h2 class="pagetitle">Tagesarchiv vom <?php the_time('d.m.Y'); ?></h2>
 	  	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h2 class="pagetitle">Posts aus <?php the_time('m.Y'); ?></h2>
 	  	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h2 class="pagetitle">Posts aus <?php the_time('Y'); ?></h2>
	  	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h2 class="pagetitle">Posts von <?php the_author() ?></h2>
 	  	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h2 class="pagetitle">Blog Archive</h2>
 	  	<?php /* If this is search */ } elseif ( is_search() ) { ?>
			<h2 class="pagetitle">Deine Suche</h2>
 	  	<?php } ?>

		<?php $count = 0; while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				
				<?php if ('open' == $post->comment_status) : ?>
				<div class="postcommentsbubble alignright"><?php comments_popup_link('Keine Kommentare', '1 Kommentar', '% Kommentare'); ?></div>
				<?php endif; ?>
				
				<h2><span id="postdate"><?php the_time('dm.') ?></span> <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

				<div class="entry">
					<p><?php a72dpi_get_excerpt(get_the_excerpt(),50, "<a href='".get_permalink()."' title='Permanent Link to <?php the_title_attribute(); ?>'>[...]</a>"); ?></p>
				</div>
				
				<div class="postmetadata">
					<div class="postreadmore alignright"><a href="<?php the_permalink() ?>" title="Weiterlesen..."><img src="<?php bloginfo('template_directory') ?>/images/readmore-black.gif" alt="Weiterlesen..." border="0" width="13" height="13"></a></div>
					<?php the_time('dmY') ?> | <a href="<?php the_author_url() ?>"><?php the_author_firstname() ?></a> | <?php the_category(', ') ?><?php edit_post_link('Edit', ' | ', ''); ?>
				</div>
				
			</div>
			<div class="clearer"></div>
			
			<?php if ( $count%3==0 ) { adsensem_ad('content-ad'); } $count++; ?>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; &Auml;ltere Eintr&auml;ge') ?></div>
			<div class="alignright"><?php previous_posts_link('Neuere Eintr&auml;ge &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Ups.</h2>
		<p>Deine Suche war leider nicht erfolgreich.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar('right'); ?>

	<div class="clearer"></div>

</div>
	
<?php get_footer(); ?>
