<?php get_header(); ?>

	<div id="content" class="alignleft">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">
		
			<?php if ('open' == $post->comment_status) : ?>
			<div class="postcommentsbubble alignright"><a href="#comments"><?php comments_number('Keine Kommentare', '1 Kommentar', '% Kommentare'); ?></a></div>
			<?php endif; ?>
			
			<h2><span id="postdate"><?php the_time('dm.') ?> <?php the_title(); ?></h2>

			<div class="entry">
				<p><?php the_content('Weiterlesen...') ?></p>
			</div>
			
			<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			
			<div class="postmetadata">
				<?php the_time('dmY') ?> | <a href="<?php the_author_url() ?>"><?php the_author_firstname() ?></a> | <?php the_category(', ') ?><?php edit_post_link('Edit', ' | ', ''); ?>
			</div>
			
		</div>

	<?php comments_template(); ?>
		
		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>

	<?php endwhile; else : ?>

		<h2 class="center">Ups.</h2>
		<p>Deine Suche war leider nicht erfolgreich.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar('right'); ?>

	<div class="clearer"></div>

</div>
	
<?php get_footer(); ?>
